Autotools: Use "set -e" to exit on the first error

* The script will not continue if something fails (like a command not found)
diff --git a/autogen.sh b/autogen.sh
index a4b87e4..906251a 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,3 +1,6 @@
 #!/bin/sh
+
+set -e
+
 ./bootstrap.sh
 ./configure --enable-maintainer-mode --enable-examples-build $*